# Class: ResolutionClient

## ResolutionClient

## Constructor

#### new ResolutionClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/resolution'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/resolution.js, line 5

### Methods

#### getAllResolutions(opts, callback)

Returns a list of all resolutions visible to the user

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the resolutions have been retrieved.

Source:
  - api/resolution.js, line 14

#### getResolution(opts, callback)

Get a full representation of the resolution that has the given id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`resolutionId` |  | A String containing a resolution id

`callback` |  | Called when the resolution has been retrieved.

Source:
  - api/resolution.js, line 33